{% extends "base.html" %}
{% load static %}
{% block content %}


<section class="py-5">
    <div class="display-4 fw-bolder">
        <h1>{{user.username}}'s shopping cart</h1>
    </div>
    <ul>
        {% for item in cart_items %}
        <li class="col-md-4">
            <div class="row gx-4 gx-lg-5 align-items-center">
                <div class="display-5 fw-bolder">{{ item.product.name }}</div>
                <form action="{% url 'remove-from-cart' item.product.id %}" method="post">
                    {% csrf_token %}
                    <button class="btn btn-danger" type="submit">Remove</button>
                </form>
            </div>
            <div class="form-control text-center mb-2">
                <form action="{% url 'increase-cart-item' item.product.id %}" method="post">
                    {% csrf_token %}
                    <button class="btn btn-primary btn-sm" type="submit">+</button>
                </form>
                <span class="form-control text-center me-3">{{ item.quantity }}</span>
                <form action="{% url 'decrease-cart-item' item.product.id %}" method="post">
                    {% csrf_token %}
                    <button class="btn btn-primary btn-sm" type="submit">-</button>
                </form>
            </div>
            <div class="fs-5 mb-5" data-price="{{ item.product.price }}">
                {{ item.product.price }}€
            </div>
        </li>
        {% endfor %}
    </ul>
    <form class="d-flex" action="{% url 'home' %}">
        <button class="btn btn-outline-dark" type="submit">
            <i class="bi-cart-fill me-1"></i>
            Continue shopping
        </button>
    </form>
    <form action="#" method="post">
        {% csrf_token %}
        <button class="btn btn-outline-dark mt-auto">Checkout</button>
    </form>
    
</section>
<script src="{% static 'js/cart.js' %}"></script>

{% endblock %}